# Tender

Tenders can be stacked and constrain different activities in their context

## Get tenders

 - [GET /tenders/{offset}/{amount}](https://docs.transportial.com/apis/tender/get:tenders.md): Get list of tenders

## Get tenders

 - [POST /tenders/{offset}/{amount}](https://docs.transportial.com/apis/tender/search:tenders_1.md): Search list of tenders based on query and params

## Accept tenderBid

 - [GET /tender/bid/{id}/accept](https://docs.transportial.com/apis/tender/accept:tenderbid.md): Accept a tender bid that has been made

## Create tender

 - [POST /tender/bid/{id}/decline](https://docs.transportial.com/apis/tender/create:tender.md): Create a new tender

## Counter offer

 - [POST /tender/bid/{id}/counter](https://docs.transportial.com/apis/tender/counter:tender.md): decline and counter offer

## Update tender

 - [PUT /tender](https://docs.transportial.com/apis/tender/update:tender.md): Update a tender

## Create tender

 - [POST /tender](https://docs.transportial.com/apis/tender/create:tender_1.md): Create a new tender

## Get tender

 - [GET /tender/{id}](https://docs.transportial.com/apis/tender/get:tender.md): Get a tender on id

## Accept tender bid and create trip

 - [POST /tender/{id}/accept-and-plan](https://docs.transportial.com/apis/tender/accept:tenderandplan.md): Accepts a tender bid, closes the tender, and creates a trip from the consignment in a single transaction

## Create tender bid

 - [POST /tender/{id}/bid](https://docs.transportial.com/apis/tender/create:tenderbid.md): Create a bid on a tender

## Delete tender

 - [DELETE /tender/bid/{id}](https://docs.transportial.com/apis/tender/delete:tender.md): Delete a tender

## Get tenders

 - [GET /tender/{id}/bids/{offset}/{amount}](https://docs.transportial.com/apis/tender/get:tenders_1.md): Get list of tenders

## Search tender bids

 - [POST /tender/{id}/bids/{offset}/{amount}](https://docs.transportial.com/apis/tender/search:tenders.md): Search list of tenders based on query and params

## Create inbound tender from external source

 - [POST /api/v1/tender/inbound](https://docs.transportial.com/apis/tender/create:tender:inbound.md): Receives an external order and creates a tender with source=API_INBOUND. Authenticated via x-api-key/x-api-secret headers.

